Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigRollingFileAppender

All Superinterfaces:
  java.rmi.Remote, RemoteConfigAppender, RemoteConfigFileAppender

    public interface RemoteConfigRollingFileAppender

extends RemoteConfigFileAppender

The `RemoteConfigRollingFileAppender` takes charge of managing rolling file appender specific properties.

Since:
  V8.1

Field Summary

Fields inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`int` | `getMaxBackupIndex()` get the rolling file appender max backup index.
`long` | `getMaxFileSize()` get the max file rolling size(KB) of the rolling file appender.
`void` | `setMaxBackupIndex(int index)` set the rolling file appender's max backup index.
`void` | `setMaxFileSize(long size)` set the rolling appender max file size.

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigFileAppender
`getBufferSize, getFileName, getLayout, getPatternConversion, isAppendable, isBufferedIO, setAppendable, setBufferedIO, setBufferSize, setFileName, setLayout, setPatternConversion`

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getMaxFileSize

    long getMaxFileSize()
                        throws java.rmi.RemoteException

  get the max file rolling size(KB) of the rolling file appender.

  Returns:
    the max file rolling size(KB) of the rolling file appender.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxFileSize

    void setMaxFileSize(long size)
                        throws java.rmi.RemoteException

  set the rolling appender max file size.

  Parameters:
    `size,` - the max file rolling size(KB) of the rolling file appender.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxBackupIndex

    int getMaxBackupIndex()
                          throws java.rmi.RemoteException

  get the rolling file appender max backup index.

  Returns:
    the max backup index of the rolling file appender.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxBackupIndex

    void setMaxBackupIndex(int index)
                           throws java.rmi.RemoteException

  set the rolling file appender's max backup index.

  Parameters:
    `index,` - the max backup index of the rolling file appender.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD